<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Modificateur</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Modificateur";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Modificateur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Joueur.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Partie.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Modificateur.html" target="_top">Frames</a></li>
<li><a href="Modificateur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Modificateur" class="title">Class Modificateur</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>back.Modificateur</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Modificateur</span>
extends java.lang.Object</pre>
<div class="block">Cette classe Modificateur permet de créer des modificateurs.
 Un modificateur se caractérise par son temps, les dés, la réduction du temps, le nombre de tours à passer, le sens de déplacement, l'alternance, le départ,
 siil rejoue  et le ds.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Modificateur.html#Modificateur--">Modificateur</a></span>()</code>
<div class="block">Le constructeur de la classe Modificateur permet de créer un nouveau modificateur ou tout est mis à 0.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getAlternance--">getAlternance</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getDepart--">getDepart</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getDes--">getDes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getDs--">getDs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getPasserTour--">getPasserTour</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getReduireCout--">getReduireCout</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getSensDeplacement--">getSensDeplacement</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getTemps--">getTemps</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#getToucheBourse--">getToucheBourse</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#isRejoue--">isRejoue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setAlternance-int-">setAlternance</a></span>(int&nbsp;alternance)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setDepart-int-">setDepart</a></span>(int&nbsp;depart)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setDes-int-">setDes</a></span>(int&nbsp;des)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setDs-int-">setDs</a></span>(int&nbsp;ds)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setPasserTour-int-">setPasserTour</a></span>(int&nbsp;passerTour)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setReduireCout-double-">setReduireCout</a></span>(double&nbsp;reduireCout)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setRejoue-boolean-">setRejoue</a></span>(boolean&nbsp;rejoue)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setSensDeplacement-boolean-">setSensDeplacement</a></span>(boolean&nbsp;sensDeplacement)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setSensDeplacement-int-">setSensDeplacement</a></span>(int&nbsp;sensDeplacement)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setTemps-int-">setTemps</a></span>(int&nbsp;temps)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Modificateur.html#setToucheBourse-int-">setToucheBourse</a></span>(int&nbsp;toucheBourse)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Modificateur--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Modificateur</h4>
<pre>public&nbsp;Modificateur()</pre>
<div class="block">Le constructeur de la classe Modificateur permet de créer un nouveau modificateur ou tout est mis à 0.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTemps--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTemps</h4>
<pre>public&nbsp;int&nbsp;getTemps()</pre>
</li>
</ul>
<a name="setTemps-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTemps</h4>
<pre>public&nbsp;void&nbsp;setTemps(int&nbsp;temps)</pre>
</li>
</ul>
<a name="getDes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDes</h4>
<pre>public&nbsp;int&nbsp;getDes()</pre>
</li>
</ul>
<a name="setDes-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDes</h4>
<pre>public&nbsp;void&nbsp;setDes(int&nbsp;des)</pre>
</li>
</ul>
<a name="getReduireCout--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReduireCout</h4>
<pre>public&nbsp;double&nbsp;getReduireCout()</pre>
</li>
</ul>
<a name="setReduireCout-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReduireCout</h4>
<pre>public&nbsp;void&nbsp;setReduireCout(double&nbsp;reduireCout)</pre>
</li>
</ul>
<a name="getPasserTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPasserTour</h4>
<pre>public&nbsp;int&nbsp;getPasserTour()</pre>
</li>
</ul>
<a name="setPasserTour-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPasserTour</h4>
<pre>public&nbsp;void&nbsp;setPasserTour(int&nbsp;passerTour)</pre>
</li>
</ul>
<a name="getSensDeplacement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSensDeplacement</h4>
<pre>public&nbsp;int&nbsp;getSensDeplacement()</pre>
</li>
</ul>
<a name="setSensDeplacement-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSensDeplacement</h4>
<pre>public&nbsp;void&nbsp;setSensDeplacement(boolean&nbsp;sensDeplacement)</pre>
</li>
</ul>
<a name="getAlternance--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAlternance</h4>
<pre>public&nbsp;int&nbsp;getAlternance()</pre>
</li>
</ul>
<a name="setAlternance-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setAlternance</h4>
<pre>public&nbsp;void&nbsp;setAlternance(int&nbsp;alternance)</pre>
</li>
</ul>
<a name="getDepart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepart</h4>
<pre>public&nbsp;int&nbsp;getDepart()</pre>
</li>
</ul>
<a name="setDepart-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDepart</h4>
<pre>public&nbsp;void&nbsp;setDepart(int&nbsp;depart)</pre>
</li>
</ul>
<a name="isRejoue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isRejoue</h4>
<pre>public&nbsp;boolean&nbsp;isRejoue()</pre>
</li>
</ul>
<a name="setRejoue-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRejoue</h4>
<pre>public&nbsp;void&nbsp;setRejoue(boolean&nbsp;rejoue)</pre>
</li>
</ul>
<a name="getDs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDs</h4>
<pre>public&nbsp;int&nbsp;getDs()</pre>
</li>
</ul>
<a name="setDs-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDs</h4>
<pre>public&nbsp;void&nbsp;setDs(int&nbsp;ds)</pre>
</li>
</ul>
<a name="getToucheBourse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToucheBourse</h4>
<pre>public&nbsp;int&nbsp;getToucheBourse()</pre>
</li>
</ul>
<a name="setToucheBourse-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToucheBourse</h4>
<pre>public&nbsp;void&nbsp;setToucheBourse(int&nbsp;toucheBourse)</pre>
</li>
</ul>
<a name="setSensDeplacement-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setSensDeplacement</h4>
<pre>public&nbsp;void&nbsp;setSensDeplacement(int&nbsp;sensDeplacement)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Modificateur.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Joueur.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Partie.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Modificateur.html" target="_top">Frames</a></li>
<li><a href="Modificateur.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
